Bug 244148 - QApplication crashes on exit on certain condidtions.
QApplication crashes on exit on certain condidtions.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-14 01:46 EDT by The Source
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: F7 update
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-18 08:46:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Application (1.25 MB, application/x-bzip)
2007-06-14 01:46 EDT, The Source
no flags Details
MySQL database (1.16 MB, application/x-gzip)
2007-06-14 01:50 EDT, The Source
no flags Details

  None (edit)
Description The Source 2007-06-14 01:46:22 EDT
Description of problem:
My application contains login dialog (QDialog) and main window (QMainWindow)
which is created upon successful connection to mysql database. The strange thing
is that if main window was created at least once (it is possible to return to
login from window, destroying it), then QApplication crashes at the and of the
program when it is destroyed. In 3.3.7 everything worked perfectly but in 3.3.8
this bug appeared. Attaching my app and mysql database - please check what might
be wrong.

Version-Release number of selected component (if applicable):
qt-3.3.8-4.fc7

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 The Source 2007-06-14 01:46:23 EDT
Created attachment 156956 [details]
Application
Comment 2 The Source 2007-06-14 01:50:21 EDT
Created attachment 156957 [details]
MySQL database
Comment 3 Richard Brooklyn 2007-06-17 06:44:18 EDT
This is a known and confirmed issue which Trolltech has already fixed, but  
the fix will only appear in 3.3.9.

Here is the bug description from Trolltech: 
http://trolltech.com/developer/task-tracker/index_html?id=154194&method=entry

MythTV has been hit by this issue as well: 
http://mythtv.org/pipermail/mythtv-dev/2007-March/054176.html

At the end of this e-mail is a patch which openSUSE used to fix the issue:
http://mythtv.org/pipermail/mythtv-dev/2007-March/054321.html

Can Fedora do something similar?
Comment 4 Ngo Than 2007-06-18 08:46:39 EDT
i have already backported the patch for F7. I will push it in F7 update soon. 
Thanks for your report.
Comment 5 Javier Perez 2007-08-12 20:05:57 EDT
Do we have a date regarding when this patch will be on general release? All us
using Mythtv with Fedora are suffering and holding our hands waiting for it :)

thanks!

Note You need to log in before you can comment on or make changes to this bug.